File: changelog

package info (click to toggle)
clucene-core 2.3.3.4+dfsg-1
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 7,900 kB
  • sloc: cpp: 70,727; ansic: 39,655; sh: 338; makefile: 17; php: 5
file content (260 lines) | stat: -rw-r--r-- 8,525 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
clucene-core (2.3.3.4+dfsg-1) unstable; urgency=medium

  * Update debian/copyright: clarify src/test/data/* copyright and
    distribution terms. (Closes: #821089)
  * Update debian/rules: add prune-nonfree target to remove Reuters test data.
    The free distribution of this data is *for research purposes only*.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Dec 2016 09:40:15 +0200

clucene-core (2.3.3.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix GCC version detection. Closes: #812292.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 11:24:56 +0200

clucene-core (2.3.3.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791004).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:33:45 +0200

clucene-core (2.3.3.4-4) unstable; urgency=low

  * Add bug718187-ftbfs-hurd.patch to fix build failure on HURD.
    Thanks to Pino Toscano. (Closes: #718187)

 -- Fathi Boudra <fabo@debian.org>  Mon, 29 Jul 2013 08:31:38 +0300

clucene-core (2.3.3.4-3) unstable; urgency=low

  * Add bug715474-no-boost-headers.patch to drop boost headers from
    clucene-core. (Closes: #715474)
  * Update debian/control:
    - Upload to Sid.
    - bump Standards-Version to 3.9.3.

 -- Fathi Boudra <fabo@debian.org>  Sun, 28 Jul 2013 15:51:57 +0300

clucene-core (2.3.3.4-2) experimental; urgency=low

  * Update multiarch patch: add multiarch path to pkg-config's cflags.
    (Closes: #684715)

 -- Fathi Boudra <fabo@debian.org>  Tue, 14 Aug 2012 17:39:32 +0300

clucene-core (2.3.3.4-1) experimental; urgency=low

  * New upstream release (Closes: #661703).
  * Convert package to multiarch.
  * Drop obsolete patches:
    - 01_add_missing_include_bug505667.diff
    - 02_posixness_fix_bug530308.diff
  * Add patches:
    - Fixing_ZLIB_configuration_in_shared_CMakeLists.patch
    - Fix-pkgconfig-file-by-adding-clucene-shared-library.patch
    - Install-contribs-lib.patch
    - multiarch.patch
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - update build dependencies (add cmake, libboost-dev and libz-dev).
    - bump Standards-Version to 3.9.3.
    - rename packages due to ABI bump: libclucene0ldbl -> libclucene-core1.
    - add libclucene-contribs1 package.
  * Update debian/rules:
    - rewrite to use CMake.
    - add multiarch support.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Aug 2012 09:33:38 +0300

clucene-core (0.9.21b-2) unstable; urgency=low

  * Restore libclucene0ldbl package name. (Closes: #542337)
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 19 Aug 2009 08:51:17 +0200

clucene-core (0.9.21b-1) unstable; urgency=low

  * New upstream release.
  * Drop '01_stack_fix' patch - fixed upstream.
  * Add patches:
    - 01_add_missing_include_bug505667
      Thanks to Martin Michlmayr. (Closes: #505667)
    - 02_posixness_fix_bug530308
      fix POSIX incompatibilities causing FTBFS on hurd-i386.
      Thanks to Marc Dequènes. (Closes: #530308)
  * Bump debian/compat to 7.
  * Update debian/control:
    - Remove cdbs build dependency.
    - Bump Standards-Version: 3.8.2
    - Replace libclucene0ldbl package by libclucene0 package.
  * Update debian/copyright file.
  * Convert debian/rules to dh_usage.

 -- Fathi Boudra <fabo@debian.org>  Wed, 12 Aug 2009 12:16:43 +0200

clucene-core (0.9.20-3) unstable; urgency=low

  * Lower compat/debhelper to 5.
  * Re-enable static library build.

 -- Fathi Boudra <fabo@debian.org>  Thu, 21 Feb 2008 08:43:54 +0100

clucene-core (0.9.20-2) unstable; urgency=low

  * Re-add stack fix for x86_64. Not merged upstream. (Closes: #460328)
  * Bump compat/debhelper to 6.
  * Update my e-mail address.
  * Use quilt patch system.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Build with --no-undefined and --as-needed linker flags.
  * Disable static library build.

 -- Fathi Boudra <fabo@debian.org>  Thu, 07 Feb 2008 23:59:58 +0100

clucene-core (0.9.20-1) unstable; urgency=low

  * New upstream release.
  * Remove libclucene.la from libclucene-dev package.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 03 Oct 2007 16:04:38 +0200

clucene-core (0.9.16a-4) unstable; urgency=low

  * Set Fathi as maintainer and me as optional uploader
  * Fix for x86_64 segfaults in CLucene (Closes: #435197)
      Thanks to Jonny Lamb for passing on the patch

 -- Daniel Glassey <wdg@debian.org>  Fri, 31 Aug 2007 12:44:59 +0100

clucene-core (0.9.16a-3) unstable; urgency=low

  * Rename libclucene0 to libclucene0ldbl for ldbl128 transition.
    (Closes: #430254)
  * Update control: Replace deprecated ${Source-Version} by ${binary:Version}.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 19 Jul 2007 21:40:30 +0200

clucene-core (0.9.16a-2) unstable; urgency=low

  * Build with -ansi flag. Make sure we use typedef float float_t otherwise
    we get typedef double float_t. It fixes strigi crash on PPC.
    (Closes: #424675)

 -- Fathi Boudra <fboudra@free.fr>  Fri, 15 Jun 2007 20:00:12 +0200

clucene-core (0.9.16a-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Fri,  1 Dec 2006 00:45:51 +0100

clucene-core (0.9.16-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release
  * Remove patch for jstream classes merged upstream

 -- Fathi Boudra <fboudra@free.fr>  Tue, 19 Sep 2006 16:40:02 +0200

clucene-core (0.9.15-5) unstable; urgency=low

  [Fathi Boudra]
  * Add patch to update jstream classes for Strigi

 -- Fathi Boudra <fboudra@free.fr>  Fri,  8 Sep 2006 11:26:44 +0200

clucene-core (0.9.15-4) unstable; urgency=low

  [Fathi Boudra]
  * Revert previous change: clucene-config.h is arch/platform specific
    and must be installed in /usr/lib/CLucene

 -- Fathi Boudra <fboudra@free.fr>  Sat,  5 Aug 2006 12:32:34 +0200

clucene-core (0.9.15-3) unstable; urgency=low

  [Fathi Boudra]
  * Install clucene-config.h in /usr/include/CLucene (Closes: #380484)

 -- Fathi Boudra <fboudra@free.fr>  Wed,  2 Aug 2006 12:33:03 +0200

clucene-core (0.9.15-2) unstable; urgency=low

  [Fathi Boudra]
  * libclucene0.shlibs: version less strict

 -- Fathi Boudra <fboudra@free.fr>  Sun,  9 Jul 2006 15:30:04 +0200

clucene-core (0.9.15-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release (Closes: #343486)
  * Use real source package name: clucene-core
  * libclucene0.docs: cleanup paths
  * libclucene0.shlibs: update for new release
  * libclucene-dev.install: add clucene-config.h
  * rules:
    * cleanup to use a more common way to package
    * no more "tarball in the tarball" packaging

 -- Fathi Boudra <fboudra@free.fr>  Wed,  5 Jul 2006 11:02:01 +0200

clucene (0.9.14-1) unstable; urgency=low

  [Fathi Boudra]
  * Removed unneeded files like control.in and *.dirs files
  * changelog: minor cleanup
  * compat: bumped to 5
  * control:
    * removed unneeded Build-depends : quilt, patchutils
    * added myself as Uploaders
    * bumped Standards-Version to 3.7.2
    * suggests sword-frontend instead of Recommends
    * improved short description
    * added Homepage in long description
  * copyright:
    * replaced mailing list in Upstream Authors by real list
    * added missing copyright for gunichartables, utf8 and MD5Digester
    * added RSA Data Security notice
    * minor cosmetic cleanup
  * libclucene0.install:
    * removed unneeded usr/bin
    * replaced libclucene.so installation by wildcard
  * libclucene-dev.install: added libclucene.la installation
  * rules:
    * filled DEB_TAR_SRCDIR using a shell script
    * removed unneeded commented lines
    * added clean rules

 -- Fathi Boudra <fboudra@free.fr>  Wed, 21 Jun 2006 12:13:16 +0200

clucene (0.9.12-1) unstable; urgency=low

  * New upstream release
  * copyright notices in source files have been fixed
    clucene is dual licensed Apache 2.0 and LGPL
  * debian/copyright: include the Apache license verbatim
  * debian/libclucene0.docs: update for new release
  * debian/libclucene0.shlibs: update for new release
  * debian/rules: source of core library is now clucene-core
    don't need --enable-ucs2 any more

 -- Daniel Glassey <wdg@debian.org>  Tue,  6 Jun 2006 23:19:14 +0100

clucene (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Thu, 15 Dec 2005 16:07:47 +0000

clucene (0.9.7-1) unstable; urgency=low

  * Initial Release

 -- Daniel Glassey <wdg@debian.org>  Thu, 11 Aug 2005 18:32:48 +0100